# Uses of Enum
com.fasterxml.jackson.annotation.PropertyAccessor

## Uses of PropertyAccessor in com.fasterxml.jackson.annotation

Methods in com.fasterxml.jackson.annotation that return PropertyAccessor
Modifier and Type
Method
Description
`static PropertyAccessor`
PropertyAccessor.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PropertyAccessor[]`
PropertyAccessor.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.annotation with parameters of type PropertyAccessor
Modifier and Type
Method
Description
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`construct(PropertyAccessor acc, JsonAutoDetect.Visibility visibility)`
Factory method for constructing instance with visibility of specified accessor (or, in case of `ALL`, all of them) set as specified; and the rest (if any) set as `JsonAutoDetect.Visibility.DEFAULT`).